<?php
/**
 * A unique identifier is defined to store the options in the database and reference them from the theme.
 * By default it uses the theme name, in lowercase and without spaces, but this can be changed if needed.
 * If the identifier changes, it'll appear as if the options have been reset.
 */

function kasa_green_option_name() {

	return 'options-framework-kasa-green';
}

add_filter( 'options_framework_option_name', 'kasa_green_option_name' );

/**
 * Defines an array of options that will be used to generate the settings page and be saved in the database.
 * When creating the 'id' fields, make sure to use all lowercase and no spaces.
 *
 * with the actual text domain for your theme.  Read more:
 * http://codex.wordpress.org/Function_Reference/load_theme_textdomain
 */

if ( ! function_exists( 'optionsframework_options' ) ) :

function optionsframework_options() {

	// If using image radio buttons, define a directory path
	$set_year = date('Y');
	$options = array();

	/* General Settings */	
	
	$options[] = array(
		'name' => __('General Settings', 'kasa-green'),
		'type' => 'heading');

	$options[] = array(
		'name' => __('Header Logo Text', 'kasa-green'),
		'desc' => '',
		'id' => 'header_logo_text1',
		'std' => '',
		'class' => 'mini', 
		'type' => 'text');	

	$options[] = array(
		'name' => __('Header Logo Text 2', 'kasa-green'),
		'desc' => '',
		'id' => 'header_logo_text2',
		'std' => '',
		'class' => 'mini', 
		'type' => 'text');			
		
	$options[] = array(
		'name' => __('Header Logo Image', 'kasa-green'),
		'desc' => '',
		'id' => 'logo_image',
		'type' => 'upload');
		
	$options[] = array(
		'name' => __('Fav Icon URL', 'kasa-green'),
		'desc' => '',
		'id' => 'fav_icon',
		'type' => 'upload');

	$options[] = array(
		'name' => __('Web Clip Icon URL', 'kasa-green'),
		'desc' => '',
		'id' => 'web_clip',
		'type' => 'upload');

	$options[] = array(
		'name' => __('Header Phone', 'kasa-green'),
		'desc' => '',
		'id' => 'header_phone',
		'std' => '',
		'class' => 'mini', 
		'type' => 'text');			
		
	$options[] = array(
		'name' => __('Footer copyright text left', 'kasa-green'),
		'desc' => '',
		'id' => 'footer_text_left',
		'std' => 'Copyright &copy; '.$set_year.' '.get_bloginfo('name'),
		'type' => 'text');
			
	$options[] = array(
		'name' => __('Home Page', 'kasa-green'),
		'type' => 'heading');
		
	$options[] = array(
		'name' => __('Top Image', 'kasa-green'),
		'desc' => __('Recommended image sizes 1000 X 390', 'kasa-green'),
		'id' => 'top_image',
		'type' => 'upload');
		
	$options[] = array(
		'name' => __('Slogan Home Page', 'kasa-green'),
		'desc' => '',
		'id' => 'slogan_home_page',
		'type' => 'editor');

	$options[] = array(
		'name' => __('Top Box 1 Image', 'kasa-green'),
		'desc' => __('Recommended image sizes 318 X 96', 'kasa-green'),
		'id' => 'top_box_1_image',
		'type' => 'upload');	
		
	$options[] = array(
		'name' => __('Top Box 1 Icon', 'kasa-green'),
		'desc' => '',
		'id' => 'top_box_1_icon',
		'type' => 'upload');

	$options[] = array(
		'name' => __('Top Box 1 Icon Hover', 'kasa-green'),
		'desc' => '',
		'id' => 'top_box_1_icon_hover',
		'type' => 'upload');		
		
	$options[] = array(
		'name' => __('Top Box 1 Title', 'kasa-green'),
		'desc' => '',
		'id' => 'top_box_1_title',
		'type' => 'text');	

	$options[] = array(
		'name' => __('Top Box 1 Link', 'kasa-green'),
		'desc' => '',
		'id' => 'top_box_1_link',
		'type' => 'text');	
		
	$options[] = array(
		'name' => __('Top Box 1 Content', 'kasa-green'),
		'desc' => '',
		'id' => 'top_box_1_content',
		'type' => 'textarea');
		
	$options[] = array(
		'name' => __('Top Box 2 Image', 'kasa-green'),
		'desc' => __('Recommended image sizes 318 X 96', 'kasa-green'),
		'id' => 'top_box_2_image',
		'type' => 'upload');
		
	$options[] = array(
		'name' => __('Top Box 2 Icon', 'kasa-green'),
		'desc' => '',
		'id' => 'top_box_2_icon',
		'type' => 'upload');	

	$options[] = array(
		'name' => __('Top Box 2 Icon Hover', 'kasa-green'),
		'desc' => '',
		'id' => 'top_box_2_icon_hover',
		'type' => 'upload');			
		
	$options[] = array(
		'name' => __('Top Box 2 Title', 'kasa-green'),
		'desc' => '',
		'id' => 'top_box_2_title',
		'type' => 'text');	

	$options[] = array(
		'name' => __('Top Box 2 Link', 'kasa-green'),
		'desc' => '',
		'id' => 'top_box_2_link',
		'type' => 'text');			
		
	$options[] = array(
		'name' => __('Top Box 2 Content', 'kasa-green'),
		'desc' => '',
		'id' => 'top_box_2_content',
		'type' => 'textarea');	

	$options[] = array(
		'name' => __('Top Box 3 Image', 'kasa-green'),
		'desc' => __('Recommended image sizes 318 X 96', 'kasa-green'),
		'id' => 'top_box_3_image',
		'type' => 'upload');

	$options[] = array(
		'name' => __('Top Box 3 Icon', 'kasa-green'),
		'desc' => '',
		'id' => 'top_box_3_icon',
		'type' => 'upload');		

	$options[] = array(
		'name' => __('Top Box 3 Icon Hover', 'kasa-green'),
		'desc' => '',
		'id' => 'top_box_3_icon_hover',
		'type' => 'upload');			
		
	$options[] = array(
		'name' => __('Top Box 3 Title', 'kasa-green'),
		'desc' => '',
		'id' => 'top_box_3_title',
		'type' => 'text');	
		
	$options[] = array(
		'name' => __('Top Box 3 Link', 'kasa-green'),
		'desc' => '',
		'id' => 'top_box_3_link',
		'type' => 'text');		
		
	$options[] = array(
		'name' => __('Top Box 3 Content', 'kasa-green'),
		'desc' => '',
		'id' => 'top_box_3_content',
		'type' => 'textarea');				

		
	$options[] = array(
		'name' => __('Title Area 2', 'kasa-green'),
		'desc' => '',
		'id' => 'title_area_2',
		'std' => 'The Lastest Works',
		'type' => 'text');			
		
	$options[] = array(
		'name' => __('Box 1 Image', 'kasa-green'),
		'desc' => __('Recommended image sizes 231 X 208', 'kasa-green'),
		'id' => 'box_1_image',
		'type' => 'upload');

	$options[] = array(
		'name' => __('Box 1  Link', 'kasa-green'),
		'desc' => '',
		'id' => 'box_1_link',
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Box 2 Image', 'kasa-green'),
		'desc' => __('Recommended image sizes 231 X 208', 'kasa-green'),
		'id' => 'box_2_image',
		'type' => 'upload');		

	$options[] = array(
		'name' => __('Box 2  Link', 'kasa-green'),
		'desc' => '',
		'id' => 'box_2_link',
		'type' => 'text');		
		
	$options[] = array(
		'name' => __('Box 3 Image', 'kasa-green'),
		'desc' => __('Recommended image sizes 231 X 208', 'kasa-green'),
		'id' => 'box_3_image',
		'type' => 'upload');			
		
	$options[] = array(
		'name' => __('Box 3  Link', 'kasa-green'),
		'desc' => '',
		'id' => 'box_3_link',
		'type' => 'text');			

	$options[] = array(
		'name' => __('Box 4 Image', 'kasa-green'),
		'desc' => __('Recommended image sizes 231 X 208', 'kasa-green'),
		'id' => 'box_4_image',
		'type' => 'upload');			
		
	$options[] = array(
		'name' => __('Box 4  Link', 'kasa-green'),
		'desc' => '',
		'id' => 'box_4_link',
		'type' => 'text');		
	
	$options[] = array(
		'name' => __('Title Area 3', 'kasa-green'),
		'desc' => '',
		'id' => 'title_area_3',
		'std' => 'Customer Testimonial',
		'type' => 'text');	

	$options[] = array(
		'name' => __('Box Text', 'kasa-green'),
		'desc' => '',
		'id' => 'box_text',
		'type' => 'textarea');
		
	$options[] = array(
		'name' => __('Box Name', 'kasa-green'),
		'desc' => '',
		'id' => 'box_name',
		'type' => 'text');
		
	return $options;
}
endif; 